#include "VisibilityEnvironment.h"
#include "common.h"
#include "Environment.h"


namespace GtpVisibility {

//-----------------------------------------------------------------------
VisibilityEnvironment::VisibilityEnvironment()
{
	// HACK: loading debug stream should not happen here
	GtpVisibilityPreprocessor::Debug.open("debug.log");
	// load environment
	mEnvironment = new GtpVisibilityPreprocessor::Environment();	 
}
//-----------------------------------------------------------------------
VisibilityEnvironment::~VisibilityEnvironment()
{
	DEL_PTR(mEnvironment);	 
}
//-----------------------------------------------------------------------
bool VisibilityEnvironment::LoadEnvironment(string filename)
{		
	//-- parse environment
	return mEnvironment->ReadEnvFile(filename.c_str());
}
//-----------------------------------------------------------------------
std::string VisibilityEnvironment::getSceneFileName()
{
	char str[200];
	mEnvironment->GetStringValue("Scene.filename", str);
	return str;
}
//-----------------------------------------------------------------------
std::string VisibilityEnvironment::getViewCellsFileName()
{
	char str[200];
	mEnvironment->GetStringValue("ViewCells.filename", str);
	return str;
}
//-----------------------------------------------------------------------
GtpVisibilityPreprocessor::Environment *VisibilityEnvironment::GetPreprocessorEnvironment()
{
	return mEnvironment;
}
} // namespace GtpVisibility
